/* 首頁上方 marquee跑馬燈css版本 start */
.index-marquee {
    position: absolute;
    bottom: 0;
    width: 100%;
    overflow: hidden;
    white-space: nowrap;
}

.index-marquee-content {
    padding-left: 100%;
    white-space: nowrap;
    animation: marqueeScroll 35s linear infinite;
    display: inline-flex;
    gap: 30px;
}

.index-marquee-content span {
    color: white;
    /* margin-right: 20px; */
}

.index-marquee-content a {
    color: #ffffff;
    /* margin-right: 20px; */
    text-decoration: none;
}

.index-marquee-content-group {
    display: inline-flex;
    gap: 30px;
}

.index-marquee:hover .index-marquee-content {
    animation-play-state: paused;
}

@keyframes marqueeScroll {
    0% {
        transform: translateX(0);
    }

    100% {
        transform: translateX(-100%);
    }
}

/* 首頁上方 marquee跑馬燈css版本 end */

/* 底部 marquee跑馬燈css版本 start */
.site-marquee {
    width: 100%;
    overflow: hidden;
    white-space: nowrap;
    font-size: 12px;
    color: black;
}

.site-marquee-content {
    padding-left: 100%;
    white-space: nowrap;
    /* animation: marqueeScroll var(--duration, 35s) linear infinite; */
    animation: none; /* 🔥 先不要動 */
    display: inline-block;
}

.site-marquee:hover .site-marquee-content {
    animation-play-state: paused;
}
/* marquee跑馬燈css版本 end */